[Jifty-commit] r4788 - jifty/trunk/bin

jifty-commit at lists.jifty.org jifty-commit at lists.jifty.org
Fri Jan 4 17:19:19 EST 2008


Author: nelhage
Date: Fri Jan  4 17:19:18 2008
New Revision: 4788

Added:
   jifty/trunk/bin/show_continuation   (contents, props changed)

Log:
Add the continuation debugging tool from hiveminder

Added: jifty/trunk/bin/show_continuation
==============================================================================
--- (empty file)
+++ jifty/trunk/bin/show_continuation	Fri Jan  4 17:19:18 2008
@@ -0,0 +1,15 @@
+#!/usr/bin/env perl
+
+use Jifty::Everything;
+Jifty->new();
+
+my $id = shift @ARGV || die("Usage: $0 CONTINUATION_ID\n");
+
+my $session = Jifty::Model::SessionCollection->new(current_user => Jifty::CurrentUser->superuser);
+$session->limit(column => 'data_key', value => $id);
+
+while (my $item = $session->next) {
+    print scalar Jifty::YAML::Dump($item->value);
+}
+
+1;


More information about the Jifty-commit mailing list